%define api	1
%define major	0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d

%define build_gda 1

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Project management application for GNOME
Name:		planner
Version:	0.14.6
Release:	%mkrel 5
License:	GPLv2+
Group:		Office/Organizer 
Url:		https://wiki.gnome.org/Planner
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	rarian
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= 2.10.0
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.10.0
BuildRequires:	pkgconfig(libglade-2.0) >= 2.3.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.10.0
BuildRequires:	pkgconfig(python-2.7)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(libgsf-1)

%if %{build_gda}
BuildRequires:	pkgconfig(libgda-3.0) >= 1.0
%endif


# added 12/2011
Obsoletes:	%{name}-database < 0.14.6

%description
Planner is a project management application for GNOME.

It was formerly known as MrProject.

%package python
Summary:	Python binding for Planner library
Group:		Development/GNOME and GTK+

%description python
Python binding for Planner library.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for accessing Planner data.
 
%package -n %{devname}
Summary:	The files needed for Planner application development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-1-devel = %version
Provides:	%{name}-devel = %version

%description -n	%{devname}
This package contains the necessary include files
for developing applications that access Planner data.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-python \
	--enable-python-plugin \
	--disable-eds \
	--disable-eds-backend \
%if %{build_gda}
	--with-database \
%endif
	--disable-update-mimedb \
	--disable-schemas-install \

# FIXME: pygtk-codegen-2.0 creates code, which breaks strict aliasing
sed -i 's/^CFLAGS =/& -fno-strict-aliasing/' python/Makefile.in

%make

%install
%makeinstall_std

sed -i -e 's/^\(Icon=.*\).png$/\1/g' %{buildroot}%{_datadir}/applications/planner.desktop 

#duplicate comments to GenericName for KDE (Mdv bug #33406)
sed -i -e 's/^Comment\(.*\)$/GenericName\1\nComment\1/g' %{buildroot}%{_datadir}/applications/planner.desktop 

desktop-file-install --vendor="" \
	--add-category="GTK" \
	--add-category="GNOME" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*


%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/%{name}/%{name}-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%{name}-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

# remove unpackaged files
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_datadir}/doc/planner \
	%{buildroot}%{_datadir}/mime/{globs,XMLnamespaces,application,magic,aliases,subclasses}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS README examples/sample-1.planner
%doc docs/sql/README.sql
%{_sysconfdir}/gconf/schemas/planner.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/plugins/libpython-plugin.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/gnome-%{name}.png
%dir %{_datadir}/omf/%{name}/
%{_datadir}/omf/%{name}/*-C.omf
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-planner.png
%{_mandir}/man1/%{name}.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/lib%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/%{name}-1.0
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc

%files python
%{py_platsitedir}/*
%{_libdir}/%{name}/plugins/libpython-plugin.so


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 0.14.6-5.mga4
+ Revision: 550197
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 0.14.6-4.mga4
+ Revision: 517464
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.14.6-3.mga3
+ Revision: 377787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 0.14.6-2.mga3
+ Revision: 340511
- update group
- corrected spelling mistake
- tabs/spaces

* Sun Dec 25 2011 wally <wally> 0.14.6-1.mga2
+ Revision: 187490
- new version 0.14.6
- drop unneeded patches
- drop experimental and not building evolution plugin
- merge database plugin into main pkg
- clean .spec

* Tue Jul 05 2011 fwang <fwang> 0.14.5-1.mga2
+ Revision: 118675
- fix str fmt
- new version 0.14.5

* Thu Feb 24 2011 ennael <ennael> 0.14.4-6.mga1
+ Revision: 59025
- imported package planner


* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 0.14.4-6mdv2011.0
+ Revision: 592737
- rebuild for py2.7

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.14.4-5mdv2011.0
+ Revision: 569044
- disable evolution support

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.14.4-4mdv2010.1
+ Revision: 548447
- Rebuild with latest eds

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.14.4-3mdv2010.1
+ Revision: 489994
- rebuild for new libedata-cal

* Sat Jan 02 2010 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.1
+ Revision: 485062
- more linkage patch
- fix linkage
- fix install

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 374594
- rebuild for new evolution

* Thu Apr 16 2009 Götz Waschk <waschk@mandriva.org> 0.14.4-1mdv2009.1
+ Revision: 367599
- new version
- drop patches 0,1,2
- rediff patch 3
- update build deps

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.14.3-6mdv2009.1
+ Revision: 319797
- fix linkage and str fmt
- rebuild for new python

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-5mdv2009.1
+ Revision: 299531
- rebuild for new evolution

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-4mdv2009.0
+ Revision: 264240
- rebuild

* Mon Jul 07 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-3mdv2009.0
+ Revision: 232452
- fix buildrequires
- fix build
- fix buildrequires
- rebuild for new evolution-data-server

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.14.3-2mdv2009.0
+ Revision: 208533
- fix libname
- new devel package policy
- BR newer version of libxslt
- fix URL and versioned BR

  + Frederik Himpe <fhimpe@mandriva.org>
    - Adapt to new license policy
    - Package NEWS file instead of huge ChangeLog file

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.14.3-1mdv2009.0
+ Revision: 208317
- BR gda3 instead of gda1
- New version 0.14.3

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.14.2-10mdv2008.1
+ Revision: 174468
- replace scrollkeeper by rarian

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-9mdv2008.0
+ Revision: 90873
- Remove X-Mandriva-CrossDesktop category

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-8mdv2008.0
+ Revision: 89514
- Workaround KDE not supporting comments in .desktop by default (Mdv bug #33406)

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-7mdv2008.0
+ Revision: 75686
- Update patch1 for latest evolution
- Add GTK, GNOME and X-MandrivaCrossDesktop categories to .desktop file
- Remove sql file from main package

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%{_datadir}/man by %%{_mandir}!
    - fix man pages


* Thu Feb 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.14.2-6mdv2007.0
+ Revision: 121382
- Add BR
- Fix Menu

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.14.2-5mdv2007.1
+ Revision: 104420
- reenable gda

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-4mdv2007.1
+ Revision: 102550
- Rebuild with latest evolution/e-d-s

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.14.2-3mdv2007.1
+ Revision: 89467
- rebuild
- patch for evolution 2.9
- update patch 1 for new evolution
- unpack patches

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 0.14.2-1mdv2007.1
+ Revision: 87356
- New release 0.14.2 / Patch 3 not needed
- Import planner

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 0.14-5mdv2007.0
- fix mime type (bug 25544)

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 0.14-4mdv2007.0
- spec fixes
- from Pascal Terjan <pterjan@mandriva.org>
 - Re-enable my patch fixing i18n and fix it
 - Fix a very old typo in %%install

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-3mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-2mdv2007.0
- Rebuild with latest evolution

* Tue Jul 04 2006 Jerome Soyer <saispo@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- Disable database for now
- Rediff patch for Evolution 
- XDG Menu

* Wed May 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-8mdv2007.0
- Fix preun script (Mdk bug #22625)

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-7mdk
- Regenerate patch1 for latest eds

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 0.13-6mdk
- Rebuild with the new gnome-db

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.13-5mdk
- add BuildRequires: intltool evolution-data-server-devel

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 0.13-4mdk
- buildrequires gtk-doc and evolution-devel
- fix po/Makefile.in.in to not lose CATALOG= line (P3)
- fix files listed twice
- move plugins to the appropriate subpackages

* Wed Feb 15 2006 Jerome Soyer <saispo@mandriva.org> 0.13-3mdk
- rebuild with new gnome-db
- add patches

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdk
- rebuilt against openssl-0.9.8a

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.13-1mdk
- Release 0.13
- remove files which should have not been packaged

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12.1-7mdk
- package missing files

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-6mdk 
- Rebuild with latest howl

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.12.1-5mdk
- add BuildRequires: pygtk2.0-devel

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-4mdk 
- Rebuild with latest gda

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-3mdk
- fix buildrequires
- fix summary-ended-with-dot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.12.1-2mdk
- Rebuild for new  python

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild with new menu structure

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- New release 0.12
- Remove patches 0, 1 (no longer needed), 2 (merged upstream)

* Fri Jun 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Patch0 (CVS): fix name of icon for window
- enable back libtoolize
- Move back aclocal and automake in %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
, they should remain there

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-3mdk
- run aclocal before automake and do them both in %%build, not %%prep

